Bug 6547 - Add ids to divs in opac-reserve.tt
Summary: Add ids to divs in opac-reserve.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-30 20:35 UTC by Ian Walls
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
patch (3.33 KB, patch)
2011-07-25 18:55 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-06-30 20:35:25 UTC
Error messages in the OPAC reserves tool need to include unique IDs so the text can be easily customized with JQuery.

Work To Be Done:

    * Add id attributes to all id-less div tags containing holds error messages, including:
          o too_much_oweing
          o too_many_reserves
          o bad_biblionumber
          o no_items_selected
          o no_branch_selected
          o no_biblionumber
          o bad_data
          o none_available

How to test:

    * Create a test patron

    * For each message, supply the necessary criteria to trigger it.  Attempt to place a hold... 
      -- too_much_oweing: ...when the test patron owes too many fines, as per system preferences
      -- too_many_reserves: ...whenthe test patron already has more reserves than allowed by circulation rules
      -- bad_biblionumber:  ...on a biblio that doesn’t exist
      -- no_items_selected: ...when no items are selected
      -- no_branch_selected: ...without selecting a pickup branch
      -- no_biblionumber:  ...without supplying any biblionumber
      -- bad_data:  ...on multiple titles, without supplying either a biblionumber, itemnumber or branchcode for each title
      -- none_available:  ...on a title with no available items

    * If the HTML source of the page includes an id for each div tag that wraps the error message, then the test is passed.
Comment 1 Nicole C. Engard 2011-07-25 18:55:05 UTC
Created attachment 4740 [details] [review]
patch
Comment 2 Chris Cormack 2011-07-27 23:04:17 UTC
Simple html changes, pushing
Comment 3 Ian Walls 2011-09-14 20:20:07 UTC
Patch is pushed and working, closing bug.